Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public interface

# OnScoreSubmittedListener

com.google.android.gms.games.leaderboard.OnScoreSubmittedListener

This interface is deprecated.
See `SubmitScoreResult`.

## Class Overview

Listener for getting status back after submitting a score to a leaderboard.

## Summary

Public Methods
abstract void | onScoreSubmitted(int statusCode, SubmitScoreResult result) Called when a leaderboard score has been submitted.

## Public Methods

#### public abstract void onScoreSubmitted (int statusCode, SubmitScoreResult result)

Called when a leaderboard score has been submitted. The statusCode indicates whether or not the score was successfully submitted to the servers.

Possible status codes include:

- `STATUS_OK` if the score was successfully submitted to the server.
- `STATUS_NETWORK_ERROR_OPERATION_DEFERRED` if the device is offline or was otherwise unable to post the score to the server. The score was stored locally and will be posted to the server the next time the device is online and is able to perform a sync (no further action is required from the client).
- `STATUS_CLIENT_RECONNECT_REQUIRED` if the `GamesClient` needs to reconnect to the service before attempting to submit the score.
- `STATUS_LICENSE_CHECK_FAILED` if the game is not licensed to the user.
- `STATUS_INTERNAL_ERROR` if an unexpected error occurred in the service.

##### Parameters

statusCode | A status code indicating the result of the operation.
result | Detailed results of the operation, which includes data regarding whether this was the new high score for any of the supported time spans. Note that the results will only be populated if `statusCode` is `STATUS_OK`.